summaryrefslogtreecommitdiff
path: root/sanity_check
diff options
context:
space:
mode:
authorCST 1998 Shawn T. Amundson <amundson@gtk.org>1998-10-31 09:53:29 +0000
committerShawn Amundson <amundson@src.gnome.org>1998-10-31 09:53:29 +0000
commit4848d691e00a1cfe4dd6af55b6b74b7f208c605d (patch)
tree5604f0d591c55ddb4a2dfb47edc991a9e0bb46ad /sanity_check
parent52f5eeab68fa6e1618932f6e5bd2d2da58af7f53 (diff)
downloadgdk-pixbuf-4848d691e00a1cfe4dd6af55b6b74b7f208c605d.tar.gz
Released GTK+ 1.1.3
Sat Oct 31 03:11:57 CST 1998 Shawn T. Amundson <amundson@gtk.org> * Released GTK+ 1.1.3 * INSTALL: * NEWS: * README: * gtk+.spec: * docs/gtk-config.1: updated for v1.1.3 * Makefile.am * sanity_check * docs/Makefile.am: Includes new 'make release' as well as 'make sanity'. Also handles html and text creation from html, and puts them into the distribution * docs/Makefile.sgml: removed, similar functionality is now in the Makefile.am file * docs/.cvsignore: ignore html and text directories * docs/glib.texi: removed (now in glib dist)
Diffstat (limited to 'sanity_check')
-rwxr-xr-xsanity_check51
1 files changed, 51 insertions, 0 deletions
diff --git a/sanity_check b/sanity_check
new file mode 100755
index 000000000..ba64276f2
--- /dev/null
+++ b/sanity_check
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+VERSION=$1
+
+if [ ! -f gtk+-$VERSION.tar.gz ]; then
+ echo "ERROR: gtk+-$VERSION.tar.gz does not exist..."
+ exit 1
+fi
+
+echo ""
+
+echo "Checking gtk+-$VERSION.tar.gz..."
+tar xfz gtk+-$VERSION.tar.gz
+
+
+for file in README gtk+.spec docs/gtk-config.1
+do
+ echo -n "$file... "
+ if [ "x`grep $VERSION gtk+-$VERSION/$file | wc -l | awk -F' ' '{print $1}'`" == "x1" ]; then
+ echo "ok"
+ else
+ echo "failed."
+ exit 1
+ fi
+done
+
+echo -n "INSTALL..."
+if [ "x`grep $VERSION gtk+-$VERSION/INSTALL | wc -l | awk -F' ' '{print $1}'`" == "x2" ]; then
+ echo "ok"
+else
+ echo "failed."
+ exit 1
+fi
+
+echo -n "NEWS..."
+if [ "x`grep "GTK+ $VERSION" gtk+-$VERSION/NEWS | wc -l | awk -F' ' '{print $1}'`" == "x1" ]; then
+ echo "ok"
+else
+ echo "failed."
+ exit 1
+fi
+
+
+echo ""
+echo "Number of lines in created documentation files:"
+
+wc -l gtk+-$VERSION/docs/html/*.html | grep -v total
+wc -l gtk+-$VERSION/docs/text/*.txt | grep -v total
+wc -l gtk+-$VERSION/docs/*.info | grep -v total
+
+rm -rf gtk+-$VERSION